net.corda.core.serialization

## Class KryoSerializationCustomization

- net.corda.core.serialization.KryoSerializationCustomization

- All Implemented Interfaces:
    SerializationCustomization

      public class KryoSerializationCustomization
      implements SerializationCustomization

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KryoSerializationCustomization(com.esotericsoftware.kryo.Kryo kryo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToWhitelist(java.lang.Class<?> type)`
    `com.esotericsoftware.kryo.Kryo` | `getKryo()`

    - ### Methods inherited from interface net.corda.core.serialization.SerializationCustomization

      `addToWhitelist`

- - ### Constructor Detail

    - #### KryoSerializationCustomization

          public KryoSerializationCustomization(com.esotericsoftware.kryo.Kryo kryo)

  - ### Method Detail

    - #### addToWhitelist

          public void addToWhitelist(java.lang.Class<?> type)

    - #### getKryo

          public com.esotericsoftware.kryo.Kryo getKryo()